Bug 169095 - New port: audio/mous "A simple yet powerful audio player"
New port: audio/mous "A simple yet powerful audio player"
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 09:10 UTC by Yanhui Shen
Modified: 2012-07-23 19:20 UTC (History)
0 users

See Also:


Attachments
file.shar (8.83 KB, text/plain)
2012-06-15 09:10 UTC, Yanhui Shen
no flags Details
mous.shar (9.94 KB, application/x-shar)
2012-07-22 10:20 UTC, Guido Falsi
no flags Details
mous.sh (10.61 KB, application/x-sh)
2012-07-22 19:34 UTC, Yanhui Shen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yanhui Shen 2012-06-15 09:10:02 UTC
This a new audio player for FreeBSD/Linux/OSX.
And I'm the developer of it.

Home page: https://github.com/0x02/mous

Thanks. :-)

Fix: NONE

Patch attached with submission follows:
How-To-Repeat: NONE
Comment 1 Edwin Groothuis freebsd_committer 2012-06-15 18:13:53 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Guido Falsi freebsd_committer 2012-07-18 17:19:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-07-22 10:20:00 UTC
hi,

I have modfied your port to support the new options framework.

I also made it datadir safe and noted it can't work in 7.x.

It seems to be MAKE_JOBS_SAFE from my testing. Do you have proof of the 
opposite?

I also made a few other minor fixes. I'm attaching the updated shar for 
you to approve before committing.

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Guido Falsi freebsd_committer 2012-07-22 10:20:41 UTC
State Changed
From-To: open->feedback

Ask for submitter approval.
Comment 5 Guido Falsi freebsd_committer 2012-07-23 19:14:06 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 6 dfilter freebsd_committer 2012-07-23 19:14:11 UTC
Author: madpilot
Date: Mon Jul 23 18:13:55 2012
New Revision: 301404
URL: http://svn.freebsd.org/changeset/ports/301404

Log:
  Mous is a simpe yet powerful audio player.
  
  WWW: https://github.com/0x02/mous
  
  PR:		ports/169095
  Submitted by:	Yanhui Shen <shen.elf@gmail.com>
  Approved by:	tabthorpe (mentor)

Added:
  head/audio/mous/
  head/audio/mous/Makefile   (contents, props changed)
  head/audio/mous/distinfo   (contents, props changed)
  head/audio/mous/files/
  head/audio/mous/files/patch-CMakeLists.txt   (contents, props changed)
  head/audio/mous/files/pkg-message.in   (contents, props changed)
  head/audio/mous/pkg-descr   (contents, props changed)
  head/audio/mous/pkg-plist   (contents, props changed)
Modified:
  head/audio/Makefile

Modified: head/audio/Makefile
==============================================================================
--- head/audio/Makefile	Mon Jul 23 17:00:46 2012	(r301403)
+++ head/audio/Makefile	Mon Jul 23 18:13:55 2012	(r301404)
@@ -459,6 +459,7 @@
     SUBDIR += mma
     SUBDIR += moc
     SUBDIR += modplugplay
+    SUBDIR += mous
     SUBDIR += mp-player
     SUBDIR += mp3-archive-tools
     SUBDIR += mp32ogg

Added: head/audio/mous/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/Makefile	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,230 @@
+# New ports collection makefile for:	mous
+# Date created:			15 Jan 2012
+# Whom:					Yanhui Shen <shen.elf@gmail.com>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	mous
+PORTVERSION=	1.1a
+CATEGORIES=	audio
+MASTER_SITES=	http://cloud.github.com/downloads/0x02/mous/
+
+MAINTAINER=	shen.elf@gmail.com
+COMMENT=	A simple yet powerful audio player
+
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/COPYRIGHT
+
+USE_CMAKE=	yes
+MAKE_JOBS_SAFE=	yes
+
+OPTIONS_DEFINE=	ALSA ASSEMBLY FAAC FAAD FLAC LAME AO CUE MAC4DECODER \
+		MACDECODER MPG123 NCURSES OSS QT4 SDK TAGLIB VORBIS \
+		WAVDECODER WAVENCODER WMA
+OPTIONS_DEFAULT=	ASSEMBLY FAAC FAAD FLAC LAME CUE MAC4DECODER \
+			MPG123 NCURSES OSS QT4 TAGLIB VORBIS WAVDECODER \
+			WAVENCODER WMA
+
+ASSEMBLY_DESC=		Enable assembly optimize
+MAC4DECODER_DESC=	Newest mac4.11 decoder(*.ape)
+MACDECODER_DESC=	Old mac3.99 ape decoder(*.ape)
+NCURSES_DESC=		Ncurses frontend
+QT4_DESC=		QT4 frontend
+SDK_DESC=		Install SDK
+TAGLIB_DESC=		TagLib plugin(recommended)
+WAVDECODER_DESC=	Decode Wav
+WAVENCODER_DESC=	Encode Wav
+WMA_DESC=		WMA decoder plugin
+
+SUB_FILES=	pkg-message
+PKGMESSAGE=	${WRKSRC}/pkg-message
+
+.include <bsd.port.options.mk>
+
+.if ${OSVERSION} < 800067
+BROKEN=		Does not compile on 7.x: Requires wcscasecmp(3)
+.endif
+
+.if ${PORT_OPTIONS:MSDK}
+CMAKE_ARGS+=	-DWithHeadFiles=1
+PLIST_SUB+=	SDK=""
+.else
+CMAKE_ARGS+=	-DWithHeadFiles=0
+PLIST_SUB+=	SDK="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MASSEMBLY}
+BUILD_DEPENDS+=	${LOCALBASE}/bin/yasm:${PORTSDIR}/devel/yasm
+CMAKE_ARGS+=	-DWithAssembly=1
+.else
+CMAKE_ARGS+=	-DWithAssembly=0
+.endif
+
+.if ${PORT_OPTIONS:MNCURSES}
+USE_NCURSES=	yes
+CMAKE_ARGS+=	-DWithFrontendNcurses=1
+PLIST_SUB+=	NCURSES=""
+.else
+CMAKE_ARGS+=	-DWithFrontendNcurses=0
+PLIST_SUB+=	NCURSES="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MQT4}
+USE_QT4=	gui linguist moc_build qmake_build rcc_build uic_build
+CMAKE_ARGS+=	-DWithFrontendQt=1
+PLIST_SUB+=	QT4=""
+.else
+CMAKE_ARGS+=	-DWithFrontendQt=0
+PLIST_SUB+=	QT4="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MOSS}
+CMAKE_ARGS+=	-DWithPluginOssRenderer=1
+PLIST_SUB+=	OSS=""
+.else
+CMAKE_ARGS+=	-DWithPluginOssRenderer=0
+PLIST_SUB+=	OSS="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MALSA}
+LIB_DEPENDS+=	asound:${PORTSDIR}/audio/alsa-lib
+CMAKE_ARGS+=	-DWithPluginAlsaRenderer=1
+PLIST_SUB+=	ALSA=""
+.else
+CMAKE_ARGS+=	-DWithPluginAlsaRenderer=0
+PLIST_SUB+=	ALSA="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MAO}
+LIB_DEPENDS+=	libao:${PORTSDIR}/audio/libao
+CMAKE_ARGS+=	-DWithPluginAoRenderer=1
+PLIST_SUB+=	AO=""
+.else
+CMAKE_ARGS+=	-DWithPluginAoRenderer=0
+PLIST_SUB+=	AO="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MTAGLIB}
+LIB_DEPENDS+=	tag:${PORTSDIR}/audio/taglib
+CMAKE_ARGS+=	-DWithPluginTagLibParser=1
+PLIST_SUB+=	TAGLIB=""
+.else
+CMAKE_ARGS+=	-DWithPluginTagLibParser=0
+PLIST_SUB+=	TAGLIB="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MCUE}
+LIB_DEPENDS+=	cue:${PORTSDIR}/textproc/libcue
+CMAKE_ARGS+=	-DWithPluginCuePack=1
+PLIST_SUB+=	CUE=""
+.else
+CMAKE_ARGS+=	-DWithPluginCuePack=0
+PLIST_SUB+=	CUE="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MWAVDECODER}
+CMAKE_ARGS+=	-DWithPluginWavDecoder=1
+PLIST_SUB+=	WAVDECODER=""
+.else
+CMAKE_ARGS+=	-DWithPluginWavEncoder=0
+PLIST_SUB+=	WAVDECODER="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MWAVDECODER}
+CMAKE_ARGS+=	-DWithPluginWavEncoder=1
+PLIST_SUB+=	WAVENCODER=""
+.else
+CMAKE_ARGS+=	-DWithPluginWavEncoder=0
+PLIST_SUB+=	WAVENCODER="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MFAAD}
+LIB_DEPENDS+=	faad:${PORTSDIR}/audio/faad
+CMAKE_ARGS+=	-DWithPluginFaadDecoder=1
+PLIST_SUB+=	FAAD=""
+.else
+CMAKE_ARGS+=	-DWithPluginFaadEncoder=0
+PLIST_SUB+=	FAAD="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MFAAC}
+LIB_DEPENDS+=	faac:${PORTSDIR}/audio/faac
+CMAKE_ARGS+=	-DWithPluginFaacEncoder=1
+PLIST_SUB+=	FAAC=""
+.else
+CMAKE_ARGS+=	-DWithPluginFaacEncoder=0
+PLIST_SUB+=	FAAC="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MMPG123}
+LIB_DEPENDS+=	mpg123:${PORTSDIR}/audio/mpg123
+CMAKE_ARGS+=	-DWithPluginMpg123Decoder=1
+PLIST_SUB+=	MPG123=""
+.else
+CMAKE_ARGS+=	-DWithPluginMpg123Decoder=0
+PLIST_SUB+=	MPG123="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MLAME}
+LIB_DEPENDS+=	mp3lame:${PORTSDIR}/audio/lame
+CMAKE_ARGS+=	-DWithPluginLameEncoder=1
+PLIST_SUB+=	LAME=""
+.else
+CMAKE_ARGS+=	-DWithPluginLameEncoder=0
+PLIST_SUB+=	LAME="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MWMA}
+CMAKE_ARGS+=	-DWithPluginWmaDecoder=1
+PLIST_SUB+=	WMA=""
+.else
+CMAKE_ARGS+=	-DWithPluginWmaDecoder=0
+PLIST_SUB+=	WMA="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MMAC4DECODER}
+CMAKE_ARGS+=	-DWithPluginMac4Decoder=1
+PLIST_SUB+=	MAC4=""
+.else
+CMAKE_ARGS+=	-DWithPluginMac4Decoder=0
+PLIST_SUB+=	MAC4="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MMACDECODER}
+LIB_DEPENDS+=	mac:${PORTSDIR}/audio/mac
+CMAKE_ARGS+=	-DWithPluginMacDecoder=1
+PLIST_SUB+=	MAC=""
+.else
+CMAKE_ARGS+=	-DWithPluginMacDecoder=0
+PLIST_SUB+=	MAC="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MFLAC}
+LIB_DEPENDS+=	FLAC:${PORTSDIR}/audio/flac
+CMAKE_ARGS+=	-DWithPluginFlacDecoder=1
+PLIST_SUB+=	FLAC=""
+.else
+CMAKE_ARGS+=	-DWithPluginFlacDecoder=0
+PLIST_SUB+=	FLAC="@comment "
+.endif
+
+.if ${PORT_OPTIONS:MVORBIS}
+LIB_DEPENDS+=	vorbisfile:${PORTSDIR}/audio/libvorbis
+CMAKE_ARGS+=	-DWithPluginOggDecoder=1
+PLIST_SUB+=	OGG=""
+.else
+CMAKE_ARGS+=	-DWithPluginOggDecoder=0
+PLIST_SUB+=	OGG="@comment "
+.endif
+
+post-patch:
+	@${REINPLACE_CMD} 's|%%DATADIR%%|${DATADIR}|' \
+		${WRKSRC}/CMakeLists.txt
+
+post-install:
+	@${ECHO_MSG}
+	@${CAT} ${PKGMESSAGE}
+	@${ECHO_MSG}
+
+.include <bsd.port.mk>

Added: head/audio/mous/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/distinfo	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,2 @@
+SHA256 (mous-1.1a.tar.gz) = 55826f30567a11d1c54af335b4290329b680c9e64ef9f46c0b7e3a4427414b56
+SIZE (mous-1.1a.tar.gz) = 677884

Added: head/audio/mous/files/patch-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/files/patch-CMakeLists.txt	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,20 @@
+--- CMakeLists.txt.orig	2012-06-15 04:46:40.000000000 +0200
++++ CMakeLists.txt	2012-07-18 17:04:03.462575000 +0200
+@@ -292,7 +292,7 @@
+         RUNTIME DESTINATION bin)
+     install(
+         CODE "file(GLOB TRANSLATION_FILES \"${PROJECT_BINARY_DIR}/*.qm\")"
+-        CODE "file(INSTALL \${TRANSLATION_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/mous/qt)"
++        CODE "file(INSTALL \${TRANSLATION_FILES} DESTINATION %%DATADIR%%/qt)"
+     )
+ endif()
+ 
+@@ -307,7 +307,7 @@
+ )
+ 
+ file(GLOB RESOURCE_FILES "${MOUS_SOURCE_DIR}/resource/*")
+-install(DIRECTORY ${RESOURCE_FILES} DESTINATION share/mous)
++install(DIRECTORY ${RESOURCE_FILES} DESTINATION %%DATADIR%%)
+ 
+ #==== Messages ====#
+ message("CMake:		" ${CMAKE_VERSION})

Added: head/audio/mous/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/files/pkg-message.in	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,5 @@
+Note:
+For mous-ncurses frontend, you can check its usage 
+with 'H' after starting.
+
+Bug report: shen.elf@gmail.com

Added: head/audio/mous/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/pkg-descr	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,3 @@
+Mous is a simpe yet powerful audio player.
+
+WWW: https://github.com/0x02/mous

Added: head/audio/mous/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/mous/pkg-plist	Mon Jul 23 18:13:55 2012	(r301404)
@@ -0,0 +1,80 @@
+%%NCURSES%%bin/mous-ncurses
+%%QT4%%bin/mous-qt
+%%SDK%%include/mous/charset/CharsetConvInf.h
+%%SDK%%include/mous/charset/ICharsetConv.h
+%%SDK%%include/mous/core/IConvTask.h
+%%SDK%%include/mous/core/IConvTaskFactory.h
+%%SDK%%include/mous/core/IMediaLoader.h
+%%SDK%%include/mous/core/IPlayer.h
+%%SDK%%include/mous/core/IPluginAgent.h
+%%SDK%%include/mous/core/IPluginManager.h
+%%SDK%%include/mous/core/ITagParserFactory.h
+%%SDK%%include/mous/plugin/IDecoder.h
+%%SDK%%include/mous/plugin/IEncoder.h
+%%SDK%%include/mous/plugin/IEventWatcher.h
+%%SDK%%include/mous/plugin/IFilter.h
+%%SDK%%include/mous/plugin/IMediaPack.h
+%%SDK%%include/mous/plugin/IRenderer.h
+%%SDK%%include/mous/plugin/ITagParser.h
+%%SDK%%include/mous/scx/BufObj.hpp
+%%SDK%%include/mous/scx/CharsetHelper.hpp
+%%SDK%%include/mous/scx/CondVar.hpp
+%%SDK%%include/mous/scx/ConfigFile.hpp
+%%SDK%%include/mous/scx/Conv.hpp
+%%SDK%%include/mous/scx/Dir.hpp
+%%SDK%%include/mous/scx/Env.hpp
+%%SDK%%include/mous/scx/FileHelper.hpp
+%%SDK%%include/mous/scx/FileInfo.hpp
+%%SDK%%include/mous/scx/Function.hpp
+%%SDK%%include/mous/scx/IconvHelper.hpp
+%%SDK%%include/mous/scx/LPVBuffer.hpp
+%%SDK%%include/mous/scx/Mutex.hpp
+%%SDK%%include/mous/scx/PVBuffer.hpp
+%%SDK%%include/mous/scx/RunTimer.hpp
+%%SDK%%include/mous/scx/SemVar.hpp
+%%SDK%%include/mous/scx/Signal.hpp
+%%SDK%%include/mous/scx/Singleton.hpp
+%%SDK%%include/mous/scx/Socket.hpp
+%%SDK%%include/mous/scx/SoftSemVar.hpp
+%%SDK%%include/mous/scx/TaskSchedule.hpp
+%%SDK%%include/mous/scx/Thread.hpp
+%%SDK%%include/mous/scx/UniPinYin.hpp
+%%SDK%%include/mous/util/AudioMode.h
+%%SDK%%include/mous/util/ErrorCode.h
+%%SDK%%include/mous/util/MediaItem.h
+%%SDK%%include/mous/util/MediaTag.h
+%%SDK%%include/mous/util/Option.h
+%%SDK%%include/mous/util/Playlist.h
+%%SDK%%include/mous/util/PlaylistSerializer.h
+%%SDK%%include/mous/util/PluginDef.h
+%%SDK%%include/mous/util/PluginHelper.h
+%%SDK%%include/mous/util/PluginOption.h
+lib/libMousCore.so
+%%ALSA%%lib/mous/libAlsaRenderer.so
+%%AO%%lib/mous/libAoRenderer.so
+%%CUE%%lib/mous/libCuePack.so
+%%FAAC%%lib/mous/libFaacEncoder.so
+%%FAAD%%lib/mous/libFaadDecoder.so
+%%FLAC%%lib/mous/libFlacDecoder.so
+%%LAME%%lib/mous/libLameEncoder.so
+%%MAC4%%lib/mous/libMac4Decoder.so
+%%MAC%%lib/mous/libMacDecoder.so
+%%OGG%%lib/mous/libOggDecoder.so
+%%MPG123%%lib/mous/libMpg123Decoder.so
+%%OSS%%lib/mous/libOssRenderer.so
+%%TAGLIB%%lib/mous/libTagLibParser.so
+%%WAVDECODER%%lib/mous/libWavDecoder.so
+%%WAVENCODER%%lib/mous/libWavEncoder.so
+%%WMA%%lib/mous/libWmaDecoder.so
+%%DATADIR%%/pinyin/unipy.map
+%%QT4%%share/mous/qt/mous-qt_zh_CN.qm
+@dirrm lib/mous
+@dirrm share/mous/pinyin
+%%QT4%%@dirrm share/mous/qt
+@dirrm share/mous/
+%%SDK%%@dirrm include/mous/charset
+%%SDK%%@dirrm include/mous/core
+%%SDK%%@dirrm include/mous/plugin
+%%SDK%%@dirrm include/mous/scx
+%%SDK%%@dirrm include/mous/util
+%%SDK%%@dirrm include/mous
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"